#include "neslib.h"
#include "global.h"

#include "map.h"
#include "actor.h"
#include "game.h"

void main(void)
{
	bank_bg(0);
	bank_spr(1);
	map_load(0);
	game_init();
	
	ppu_on_all();
	
	MEM(0x4015) = 7;
	//__asm__("lda #%00000111"); //enable Sq1, Sq2 and Tri channels
    //__asm__("sta $4015");
	
	while(1)
	{
		ppu_waitnmi();
		set_vram_update(0,0); //no more redraws! // this has to be done manually?????
		game_update();
	}

}
